TICKIT_WINDOW_REF(3)

NAME
tickit_window_ref, tickit_window_unref - adjust the refcount of a window

SYNOPSIS
    #include <tickit.h>

    TickitWindow *tickit_window_ref(TickitWindow *win);
    void tickit_window_unref(TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_ref() increments the stored refcount of the given window instance by one. It returns the pointer argument itself, so it is useful for chaining.

tickit_window_unref() decrements the stored refcount of the given window instance by one. If the refcount drops to zero, the instance is destroyed. This will release any resources controlled by it and unbind all the bound event handlers, causing handlers to be invoked with the TICKIT_EV_DESTROY flag if appropriate.

RETURN VALUE
tickit_window_ref() returns a window instance pointer. tickit_window_unref() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window(7), tickit(7)